Subject: [PATCH] ARM: atags: add support for Marvell's u-boot

From: [email-masked] (Willy Tarreau)
Date: Mon, 3 Jun 2013 23:07:21 +0200

On Mon, Jun 03, 2013 at 03:17:31PM -0400, Jason Cooper wrote:
> > Or some board specific code could dig them out of the flash.  That at 
> > least would make this hack localized while keeping the common code 
> > clean.
> 
> If it comes to that, I think I would rather tell users to put the mac
> address on the commandline.

Yes, I think that's the least annoying solution for the end user. We
could even have the driver complain and explain to the user what to
do when it has to generate a random MAC address.

Willy